This is an automated email from the ASF dual-hosted git repository.
jamesbognar pushed a commit to branch juneau-8.1.4-branch
in repository https://gitbox.apache.org/repos/asf/juneau.git
The following commit(s) were added to refs/heads/juneau-8.1.4-branch by this
push:
new feaaf1973 Add git branch support to release script
feaaf1973 is described below
commit feaaf1973ec43ea051f7c5bb87fb47897c8e6a60
Author: James Bognar <[email protected]>
AuthorDate: Tue Oct 15 12:29:41 2024 -0400
Add git branch support to release script
---
juneau-release-env.sh | 12 +++++++-----
juneau-release.sh | 32 ++++++++++++++++----------------
2 files changed, 23 insertions(+), 21 deletions(-)
diff --git a/juneau-release-env.sh b/juneau-release-env.sh
index 9f7db065c..e2b97da92 100644
--- a/juneau-release-env.sh
+++ b/juneau-release-env.sh
@@ -14,13 +14,14 @@
# DO NOT CHECK IN CHANGES TO THIS FILE!
-export X_VERSION=7.0.0
-export X_NEXT_VERSION=7.0.1-SNAPSHOT
-export X_RELEASE=juneau-7.0.0-RC1
+export X_VERSION=8.1.4
+export X_NEXT_VERSION=8.1.5-SNAPSHOT
+export X_RELEASE=juneau-8.1.4-RC1
export X_STAGING=~/tmp/dist-release-juneau
-export X_USERNAME=your apache username
-export [email protected]
+export X_USERNAME=jamesbognar
+export [email protected]
export X_CLEANM2=Y
+export X_GIT_BRANCH=juneau-8.1.4-branch
echo ' '
echo --- Settings
------------------------------------------------------------------
@@ -31,4 +32,5 @@ echo X_STAGING = $X_STAGING
echo X_USERNAME = $X_USERNAME
echo X_EMAIL = $X_EMAIL
echo X_CLEANM2 = $X_CLEANM2
+echo X_GIT_BRANCH = $X_GIT_BRANCH
echo
-------------------------------------------------------------------------------
diff --git a/juneau-release.sh b/juneau-release.sh
index fe8daa293..1389d186e 100755
--- a/juneau-release.sh
+++ b/juneau-release.sh
@@ -16,26 +16,26 @@
. juneau-release-env.sh
-function fail {
+function fail {
echo ' '
echo
'*******************************************************************************'
echo '***** FAILED
******************************************************************'
echo
'*******************************************************************************'
echo ' '
- exit 1;
+ exit 1;
}
-function success {
+function success {
echo ' '
echo
'*******************************************************************************'
echo '***** SUCCESS
*****************************************************************'
echo
'*******************************************************************************'
echo ' '
- exit 0;
+ exit 0;
}
function message {
- X_DATE=$(date +'%H:%M:%S')
+ X_DATE=$(date +'%H:%M:%S')
echo ' '
echo
"-------------------------------------------------------------------------------"
echo "[$X_DATE] $1"
@@ -43,20 +43,20 @@ function message {
}
function fail_with_message {
- X_DATE=$(date +'%H:%M:%S')
+ X_DATE=$(date +'%H:%M:%S')
echo ' '
echo
"-------------------------------------------------------------------------------"
echo "[$X_DATE] $1"
echo
'-------------------------------------------------------------------------------'
- fail;
+ fail;
}
function yprompt {
echo ' '
echo -n "$1 (Y/n): "
read prompt
- if [ "$prompt" != "Y" ] && [ "$prompt" != "y" ] && [ "$prompt" != "" ]
- then
+ if [ "$prompt" != "Y" ] && [ "$prompt" != "y" ] && [ "$prompt" != "" ]
+ then
fail;
fi
}
@@ -66,7 +66,7 @@ function st {
}
function et {
- echo "Execution time: ${SECONDS}s"
+ echo "Execution time: ${SECONDS}s"
}
command -v wget || fail_with_message "wget not found"
@@ -84,10 +84,10 @@ cd ~/.m2
message "Cleaning existing Git repository"
st
-if [ "$X_CLEANM2" != "N" ] && [ "$X_CLEANM2" != "n" ]
+if [ "$X_CLEANM2" != "N" ] && [ "$X_CLEANM2" != "n" ]
then
mv repository repository-old
- rm -rf repository-old &
+ rm -rf repository-old &
fi
et
@@ -101,7 +101,7 @@ et
message "Cloning juneau.git"
st
-git clone https://gitbox.apache.org/repos/asf/juneau.git
+git clone https://gitbox.apache.org/repos/asf/juneau.git -branch $X_GIT_BRANCH
et
message "Cloning juneau-website.git"
@@ -177,7 +177,7 @@ mvn release:perform
open "https://repository.apache.org/#stagingRepositories"
et
-echo "On Apache's Nexus instance, locate the staging repository for the code
you just released. It should be called something like orgapachejuneau-1000."
+echo "On Apache's Nexus instance, locate the staging repository for the code
you just released. It should be called something like orgapachejuneau-1000."
echo "Check the Updated time stamp and click to verify its Content."
echo "IMPORTANT - When all artifacts to be deployed are in the staging
repository, tick the box next to it and click Close."
echo "DO NOT CLICK RELEASE YET - the release candidate must pass [VOTE] emails
on dev@juneau before we release."
@@ -193,12 +193,12 @@ yprompt "X_REPO = $X_REPO. Is this correct?"
message "Creating binary artifacts"
st
cd $X_STAGING
-rm -rf dist
+rm -rf dist
svn co https://dist.apache.org/repos/dist/dev/juneau dist
svn rm dist/source/*
svn rm dist/binaries/*
mkdir dist/source/$X_RELEASE
-mkdir dist/binaries/$X_RELEASE
+mkdir dist/binaries/$X_RELEASE
cd $X_STAGING/dist/source/$X_RELEASE
wget -e robots=off --recursive --no-parent --no-directories -A
"*-source-release*"
https://repository.apache.org/content/repositories/$X_REPO/org/apache/juneau/
mv juneau-${X_VERSION}-source-release.zip apache-juneau-${X_VERSION}-src.zip